Page MenuHomePhabricator

Popups should not use deprecated method jQuery.fn.hover()
Closed, ResolvedPublic

Description

This task is about MediaWiki's Popups extension (which is sometimes also called "Page-Previews" or "Hovercards").

The line preview.el.hover( behavior.previewDwell, behavior.previewAbandon ); in the file src/ui/renderer.js causes a warning in the console of your web browser's developer tools:

JQMIGRATE: jQuery.fn.hover() is deprecated

See https://github.com/jquery/jquery-migrate/blob/3.0.1/warnings.md for documentation how to replace it.
For anyone who plans to work on this, https://gerrit.wikimedia.org/r/#/c/381780/ and https://gerrit.wikimedia.org/r/#/c/382196/ are similar merged patches.

Developer notes

The Popups extension uses a build process.
After making your change you'll need to run the following code

npm install
npm run build

and commit the dist folder as part of your patch.

Testing criteria

Test that page previews:

  • appear and disappear normally
  • settings open and close
  • note any strange behavior

note: for this, it's not necessary to go through the entirety of the test cases

Event Timeline

He7d3r created this task.Nov 18 2017, 12:10 AM
Restricted Application added subscribers: APerson, Aklapper. · View Herald TranscriptNov 18 2017, 12:10 AM
Aklapper updated the task description. (Show Details)Nov 20 2017, 1:00 PM
Aklapper added a project: Google-Code-in-2017.

Would someone volunteer to mentor this task in Google-Code-in-2017 ? If so, please see https://www.mediawiki.org/wiki/Google_Code-in/2017 - thanks!

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptNov 20 2017, 1:01 PM

This might also be related to T118124: Stop using jquery.tipsy for HTMLCheckMatrix labels (seen on Special:Preferences with Echo) (both deal with the popups on Special:Preferences)

I would like to volunteer as a mentor for this task. Google-Code-in-2017

TheDJ added a subscriber: TheDJ.

Move to the right popups/preview tag.

@Abhi_hk95: Thanks. For GCI, we welcome experienced community members who are already familiar with our workflows and infrastructure, and who can guide new contributors. I cannot find your activity in Phabricator, on Wikimedia wikis, or in Wikimedia code repositories. If there is, please let us know where to find it. :)

Jdlrobson updated the task description. (Show Details)

@Aklapper I can mentor this task for GCI. I'll import it.

Aklapper updated the task description. (Show Details)Dec 5 2017, 3:46 PM

Change 395651 had a related patch set uploaded (by Albert221; owner: Albert221):
[mediawiki/extensions/Popups@master] Fix $.fn.hover is deprecated

https://gerrit.wikimedia.org/r/395651

Jdlrobson added a subscriber: Jdlrobson.

Adding to sprint for visibility. Task is being worked on my Google Code in student.

Change 395651 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Fix $.fn.hover is deprecated

https://gerrit.wikimedia.org/r/395651

ovasileva triaged this task as Normal priority.Dec 6 2017, 10:26 AM
Jdlrobson moved this task from To Do to Needs QA on the Readers-Web-Kanbanana-Board-Old board.
Jdlrobson removed a project: Patch-For-Review.
Jdlrobson updated the task description. (Show Details)
ovasileva removed ABorbaWMF as the assignee of this task.Dec 6 2017, 6:12 PM
ovasileva assigned this task to ABorbaWMF.
ovasileva updated the task description. (Show Details)
ovasileva added a subscriber: ABorbaWMF.
ovasileva closed this task as Resolved.Dec 11 2017, 6:06 PM
ovasileva added a subscriber: ovasileva.

Resolving based on beta cluster testing from T182399: QA html previews on beta cluster